VERSION 5.00
Begin VB.Form FormCalibrate 
   Caption         =   "Calibrate Game Speed"
   ClientHeight    =   2460
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4530
   Icon            =   "FormCalibrate.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   2460
   ScaleWidth      =   4530
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton CommandCancel 
      Caption         =   "Cancel"
      Height          =   615
      Left            =   2400
      TabIndex        =   3
      Top             =   1560
      Width           =   1095
   End
   Begin VB.CommandButton CommandOkay 
      Caption         =   "Okay"
      Height          =   615
      Left            =   960
      TabIndex        =   1
      Top             =   1560
      Width           =   1095
   End
   Begin VB.TextBox TextCalibrationFactor 
      Height          =   285
      Left            =   1680
      TabIndex        =   0
      Text            =   "Text1"
      Top             =   1080
      Width           =   2175
   End
   Begin VB.Label Label2 
      Caption         =   $"FormCalibrate.frx":1CCA
      Height          =   735
      Left            =   240
      TabIndex        =   4
      Top             =   240
      Width           =   4095
      WordWrap        =   -1  'True
   End
   Begin VB.Label Label1 
      Caption         =   "Calibration Factor"
      Height          =   255
      Left            =   360
      TabIndex        =   2
      Top             =   1080
      Width           =   1335
   End
End
Attribute VB_Name = "FormCalibrate"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub CommandCancel_Click()
  TextCalibrationFactor.Text = FormMain.CalibrationFactor
  FormCalibrate.Hide
End Sub

Private Sub CommandOkay_Click()
  Dim TestString As String
  Dim Digit As String
  Dim NumberTest As Boolean
  Dim NumberDecimals As Integer
  
  TestString = TextCalibrationFactor.Text
  NumberTest = True
  
  If Len(TestString) = 0 Then
    NumberTest = False
  Else
    For ctr = 1 To Len(TestString)
      Digit = Mid(TestString, ctr, 1)
      If Digit <> "0" And Digit <> "1" And Digit <> "2" And Digit <> "3" And Digit <> "4" And Digit <> "5" And Digit <> "6" And Digit <> "7" And Digit <> "8" And Digit <> "9" And Digit <> "." Then
        NumberTest = False
      End If
      If Digit = "." Then
        NumberDecimals = NumberDecimals + 1
      End If
    Next ctr
  End If
  
  If NumberDecimals > 1 Then
    NumberTest = False
  End If
  
  If NumberDecimals = 1 And Len(TestString) < 2 Then
    NumberTest = False
  End If
  
  If NumberTest Then
    FormMain.CalibrationFactor = TextCalibrationFactor.Text
    
    Open "BeerPong.dat" For Random As #1
    Put #1, 2, FormMain.CalibrationFactor
    Close #1
    
    FormCalibrate.Hide
  Else
    Call MsgBox("Please enter a valid positive number.")
  End If
End Sub

Private Sub Form_Load()
  TextCalibrationFactor.Text = FormMain.CalibrationFactor
End Sub

